### Virtual Method

# GVnc Framebuffer copyrect

#### Declaration [src]

    void
    copyrect (
      VncFramebuffer* fb,
      guint16 srcx,
      guint16 srcy,
      guint16 dstx,
      guint16 dsty,
      guint16 width,
      guint16 height
    )

#### Description [src]

Copies data from the range (`srcx`, `srcy`) to (`srcx`+`width`, `srcy`+`height`) over to the range starting at (`dstx`, `dsty`).

#### Parameters

`srcx`

  Type: `guint16`

  The horizontal starting pixel.

`srcy`

  Type: `guint16`

  The vertical starting pixel.

`dstx`

  Type: `guint16`

  The horizontal target pixel.

`dsty`

  Type: `guint16`

  The vertical target pixel.

`width`

  Type: `guint16`

  The width of the region.

`height`

  Type: `guint16`

  The height of the region.